Trendtracker Connect
Endpoints

Patents Time Series

Aggregates document counts per time bucket (month or year). Supports the same nested filters as search. The start and end date filters relate to the published date.

POST
/proof-points/patents/time-series

Authorization

APIKeyHeader license
x-api-key<token>

In: header

Scope: license

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://connect-api.trendtracker.ai/proof-points/patents/time-series" \  -H "Content-Type: application/json" \  -d '{}'
{
  "labels": [
    "string"
  ],
  "counts": [
    0
  ],
  "amount": [
    0
  ],
  "weightedCounts": [
    0
  ],
  "variances": [
    0
  ],
  "withoutLabel": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}